Community

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
10618071
Community Member

Bug in analytics API - Broken

This end point is not working in the API:

/api/v1/courses/:course_id/analytics/assignments

 

This is the response we get:

{"errors":[{"message":"An error occurred.","error_code":"internal_server_error"}],"error_report_id":113041592}

 

All other analytics endpoints are working.

We checked analytics UI and can see that they are getting data from graphQL now. So I think they are neglecting this API.

We cannot use graphQL as developers in LTI 1.3 because GraphQL does not support token scoping.

Can you please fix this API endpoint soon? (and can you also make token scoping work in GraphQL)

This broken API has made part of our LTI non-functional.

Labels (1)
Tags (1)
0 Kudos
0 Replies